<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: "Origin, X-Requested-With, Content-Type, Accept"');

Auth::routes();

// FRONTEND
Route::get('/category/{cat_id}', 'CategoryController@index')->name('home');
Route::get('/entry/{file_id}', 'EntryController@index')->name('home');
Route::get('/', 'HomeController@index')->name('home');
Route::get('/profile/{user_id}', 'ProfileController@index')->name('home');
Route::get('/search', 'SearchController@index')->name('home');
Route::get('/upload', 'UploadController@index')->name('home');

// BACKEND
// Category
Route::get('/api/rpc/category/getcategories', 'CategoryController@getCategories');
Route::get('/api/rpc/category/getcategory/{id}', 'CategoryController@getCategory');
Route::get('/api/rpc/category/getcategoryparent/{id}', 'CategoryController@getCategoryParent');
Route::get('/api/rpc/category/getcategoryminscrot/{id}', 'CategoryController@getCategoryMinScreenshots');

// File
Route::get('/api/rpc/file/getallfiles', 'FileController@getAllFiles');
Route::get('/api/rpc/file/getallapprovedfiles', 'FileController@getAllApprovedFiles');
Route::get('/api/rpc/file/getallbrokenfiles', 'FileController@getAllBrokenFiles');
Route::get('/api/rpc/file/getallpendingfiles', 'FileController@getAllPendingFiles');
Route::get('/api/rpc/file/getnewfiles', 'FileController@getNewFiles');
Route::get('/api/rpc/file/gethotfiles', 'FileController@getHotFiles');
Route::get('/api/rpc/file/getfile/{id}', 'FileController@getFile');
Route::get('/api/rpc/file/getfilesincategory/{cat_id}', 'FileController@getFilesInCategory');

// Owners
Route::get('/api/rpc/owner/getowners', 'OwnerController@getOwners');
Route::get('/api/rpc/owner/getowner/{id}', 'OwnerController@getOwner');
Route::get('/api/rpc/owner/getownerfile/{file_id}', 'OwnerController@getOwnerFile');
Route::get('/api/rpc/owner/getowneruser/{user_id}', 'OwnerController@getOwnerUser');

// Permissions
Route::get('/api/rpc/permission/getpermissionsfrommodule', 'PermissionController@getPermissionsFromModule');
Route::get('/api/rpc/permission/getpermissionfrommodule/{id}', 'PermissionController@getPermissionFromModule');
Route::get('/api/rpc/permission/getstorepermissions', 'PermissionController@getStorePermissions');
Route::get('/api/rpc/permission/getstorepermissiongroup/{id}', 'PermissionController@getStorePermissionGroup');
Route::get('/api/rpc/permission/getstorepermissionuser/{id}', 'PermissionController@getStorePermissionUser');
Route::get('/api/rpc/permission/getuserpermissions', 'PermissionController@getUserPermissions');
Route::get('/api/rpc/permission/getuserpermissiongroup/{id}', 'PermissionController@getUserPermissionGroup');
Route::get('/api/rpc/permission/getuserpermissionuser/{id}', 'PermissionController@getUserPermissionUser');

// Users
Route::get('/api/rpc/user/getusers', 'UserController@getUsers');
Route::get('/api/rpc/user/getuser/{id}', 'UserController@getUser');

/*Route::get('/api/rpc/example/getusers', 'ExampleController@getUsers');
Route::get('/api/rpc/example/getuser/{id}', 'ExampleController@getUser');
Route::post('/api/rpc/example/adduser', 'ExampleController@addUser');
Route::post('/api/rpc/example/edituser', 'ExampleController@editUser');
Route::post('/api/rpc/example/deleteuser', 'ExampleController@deleteUser');
Route::post('/api/rpc/example/browse', 'ExampleController@browse');*/
